require "djinni"

class PwdWish < Djinni::Wish
    def aliases
        return ["pwd"]
    end

    def description
        return "Show path of current path"
    end

    def execute(args, djinni_env = Hash.new)
        if (!args.empty?)
            usage
        else
            puts djinni_env["gitXplorer"].pwd
        end
    end

    def usage
        puts aliases.join(", ")
        puts "    #{description}."
    end
end
