class GitXplorer::Error < RuntimeError
end

require "git_xplorer/error/invalid_revision"
require "git_xplorer/error/no_file_or_directory"
require "git_xplorer/error/no_chaining_allowed"
require "git_xplorer/error/no_semicolons_allowed"
require "git_xplorer/error/no_subshells_allowed"
require "git_xplorer/error/not_directory"
require "git_xplorer/error/not_file"
